#!/bin/bash
#
# rsync-now:package/make.sh
#
set -u
set -o pipefail

PROJECT_HOME="$( dirname "$( dirname "$( realpath "${BASH_SOURCE[0]}" )" )" )"
declare -gr PROJECT_HOME

# shellcheck disable=SC1091
source "${PROJECT_HOME}/apis/bash-common-api/bash-common-api.sh" || exit $?

# shellcheck disable=SC2034
declare -gr TARGET_HOME='.target'

# shellcheck disable=SC2034
declare -gra DIRECTORIES_TO_REMOVE_FROM_RELEASE=(
'tests'
)

# shellcheck disable=SC1091
source "${PROJECT_HOME}/apis/install-api/make-package-api.sh" || exit $?

cd "${PROJECT_HOME}" || exit $?

make_main "$@" || exit $?
