install-api
===========

Function to help you create install and remove script in bash.

## How to add this project as git submodule

From you project directory:

```bash
git submodule add https://git.cclaude.rocks/bash-apis/bash-common-api.git apis/bash-common-api
git submodule add https://git.cclaude.rocks/bash-apis/install-api.git apis/install-api
```

Then in your scripts add:

```bash
# shellcheck disable=SC1091
source "${PROJECT_HOME}/apis/bash-common-api/bash-common-api.sh" || exit $?
# shellcheck disable=SC1091
source "${PROJECT_HOME}/apis/install-api/install-desktop-api.sh" || exit $?
# shellcheck disable=SC1091
source "${PROJECT_HOME}/bin/install-config.sh" || exit $?
# shellcheck disable=SC1091
source "${PROJECT_HOME}/apis/install-api/install-api.sh" || exit $?
```


## Require variables

| Variable name                      |                  | Content   |
|------------------------------------|------------------|-----------|
| 'INSTALL_API_INSTALL_MAIN_EXCLUDE' | Array of Strings | **TODOC** |
| 'INSTALL_BIN_DIR'                  | String           | **TODOC** |
| 'INSTALL_DATA_DIR'                 | String           | **TODOC** |
| 'INSTALL_EXE'                      | String lines     | **TODOC** |
| 'INSTALL_LINKS'                    | String lines     | **TODOC** |
| 'INSTALL_PACKAGES'                 | Array of Strings | **TODOC** |
| 'REMOVE_EXE'                       | String           | **TODOC** |


## Optional variables

| Variable name                      |                  | Content   |
|------------------------------------|------------------|-----------|
| 'INSTALL_APP_DESKTOP_ICONS'        | Array of Strings | **TODOC** |


## install-api.sh

Install

* `install_update PKG_MANAGER [PACKAGES...]` : **TODOC**
* `install_install_if_needed PKG_MANAGER [PACKAGES...]` : **TODOC**
* `install_set_chmod_for_list MODE [FILES...]` : **TODOC**
* `install_links [FILES...]` : **TODOC**
* `install_main` : **TODOC**

Remove

* `remove_previous_version_before_install` : **TODOC**
* `remove_links [FILES...]` : **TODOC**
* `remove_main` : **TODOC**

Common

* `exit_if_not_root`

